package cn.superdesk.uniorder.common.enums.thirdpart.jd;


import java.util.EnumSet;
import java.util.HashMap;
import java.util.Map;

/**
 * @Description: 发票类型
 * @Author: linjinyu
 * @CreateDate: 2021/10/21 上午10:44
 * @UpdateUser: linjinyu
 * @UpdateDate: 2021/10/21 上午10:44
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
public enum JdInvoiceTypeEnum {

	UNKNOW(-1,"UNKNOW"),

	;

	private Integer key;
	private String  desc;

	JdInvoiceTypeEnum(Integer key, String desc) {
		this.key = key;
		this.desc = desc;
	}

	public Integer getKey() {
		return key;
	}

	public String getDesc() {
		return desc;
	}

	public static String getDesc(Integer key) {
		for (JdInvoiceTypeEnum c : JdInvoiceTypeEnum.values()) {
			if (c.key.equals(key)) {
				return c.getDesc();
			}
		}
		return null;
	}

	private static final Map<Integer, JdInvoiceTypeEnum> LOOKUP = new HashMap<>();

	static {
		for (JdInvoiceTypeEnum s : EnumSet.allOf(JdInvoiceTypeEnum.class)) {
			LOOKUP.put(s.getKey(), s);
		}
	}

	public static JdInvoiceTypeEnum get(Integer key) {
		return LOOKUP.get(key);
	}

	public static JdInvoiceTypeEnum getByDesc(String desc) {
		for (JdInvoiceTypeEnum stateEnum : JdInvoiceTypeEnum.values()) {
			if (stateEnum.desc.equals(desc)) {
				return stateEnum;
			}
		}
		return JdInvoiceTypeEnum.UNKNOW;
	}
}
